package cpcns.quanzongjuanweihu.quanzongzhinan.controller;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.base.common.util.JsonWithJacksonUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.base.generic.ResultMessage;
import cpcns.common.controller.commonController;
import cpcns.common.service.ICommonService;
import cpcns.danganmenlei.model.GDangAnMenLei;
import cpcns.danganmenlei.service.IGDangAnMenLeiService;
import cpcns.danganzhengli.wenshu.danganhe.model.DDangAnHe;
import cpcns.danganzhengli.wenshu.danganhe.service.IDDangAnHeService;
import cpcns.jhsks.xinxifenlei.xitongmokuai.xitongpeizhidaima.model.XiTongDaiMa;
import cpcns.jhsks.yonghuguanli.model.JiGouFenLei;
import cpcns.printManager.PrintUtil;
import cpcns.quanzongjuanweihu.quanzongzhinan.model.DQuanZongJuanXinXi;
import cpcns.quanzongjuanweihu.quanzongzhinan.service.IQuanZongZhiNanService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.io.IOException;
import java.util.Enumeration;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import net.sf.json.JSONObject;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/quanZongZhiNan"})
public class QuanZongZhiNanConrtoller extends commonController {
  @Autowired
  private IQuanZongZhiNanService quanZongZhiNanService;
  
  @Autowired
  private ICommonService commonService;
  
  @Autowired
  private IGDangAnMenLeiService gDangAnMenLeiService;
  
  @Autowired
  private IDDangAnHeService dDangAnHeService;
  
  private Object jsonObject;
  
  @RequestMapping({"/query.do"})
  public String execute(HttpServletRequest request, Model model) throws Exception {
    String quanZongQuanLeiXing = getRequest().getParameter("quanZongQuanLeiXing");
    String guanLianBiaoShi = getRequest().getParameter("guanLianBiaoShi");
    model.addAttribute("quanZongQuanLeiXing", quanZongQuanLeiXing);
    model.addAttribute("guanLianBiaoShi", guanLianBiaoShi);
    return "quanzongweihu/quanzongzhinan/QuanZongZhiNan_list";
  }
  
  @RequestMapping({"/getAll.do"})
  public String getAll(HttpServletRequest request, HttpServletResponse response, Model model) throws IOException {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        if (!"querystr".equals(thisName))
          jsonObject.put(thisName, thisValue); 
      } 
      User user = getCurrentUser();
      Map<String, String> qx = user.getQuanXianMap();
      StringBuffer sqlWhere = new StringBuffer("1=1 ");
      Boolean isqx = Boolean.valueOf(true);
      Iterator<String> iterator = jsonObject.keys();
      Map<String, String> tjmap = new HashMap<>();
      String quanZongHao = request.getParameter("quanZongHao");
      tjmap.put("quanZongHao", quanZongHao);
      sqlWhere.append(CommStatic.IsQuanXian(user, AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"), tjmap));
      while (iterator.hasNext()) {
        String key = iterator.next();
        String value = jsonObject.getString(key);
        if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !"order".equals(key) && !"sort".equals(key) && !key.equals("quanZongHao")) {
          if (key.endsWith("begin")) {
            key = key.substring(0, key.indexOf("begin"));
            sqlWhere.append(" and ").append(String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (key.endsWith("end")) {
            key = key.substring(0, key.indexOf("end"));
            sqlWhere.append(" and ").append(
                String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
            continue;
          } 
          if (!"server".equals(key) && !"table".equals(key)) {
            if (key.endsWith("like")) {
              key = key.substring(0, key.indexOf("like"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value.trim() + "%'");
              continue;
            } 
            if (key.equals("guanLianBiaoShi") && value.equals("2")) {
              sqlWhere.append(" and guanLianBiaoShi = 0");
              continue;
            } 
            if (key.equals("guanLianBiaoShi") && value.equals("1")) {
              sqlWhere.append(" and guanLianBiaoShi >0");
              continue;
            } 
            if (key.equals("zhuangTai") && value.equals("2")) {
              sqlWhere.append(" and zhuangTai in(").append("0,2 )");
              continue;
            } 
            sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
          } 
        } 
      } 
      sqlWhere.append(" and zhuangTai not in (3,4)");
      String querySt = request.getParameter("querystr");
      if (StringUtils.isNotBlank(querySt))
        sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_(querySt)); 
      String page = request.getParameter("page");
      String rows = request.getParameter("rows");
      model.addAttribute("page", page);
      model.addAttribute("rows", rows);
      int intPage = Integer.parseInt((page == null || page == "0") ? "0" : page);
      int number = Integer.parseInt((rows == null || rows == "0") ? "0" : rows);
      StringBuffer sql = new StringBuffer("select * from  D_QUANZONGJUANXINXI  where ");
      int start = (intPage - 1) * number;
      PagerVO pagevo = this.quanZongZhiNanService.getAll(start, number, sql.toString(), sqlWhere.toString(), CommStatic.getOrderBy(request, "hangbiaoshi"));
      String jsonString = JsonWithJacksonUtils.getInstance().obj2Json(pagevo);
      jsonString = jsonString.replaceAll("HANGBIAOSHI", "hangBiaoShi").replaceAll("BIAOTI", "biaoTi").replaceAll("QUANZONGHAO", "quanZongHao").replaceAll("DANGHAO", "dangHao")
        .replaceAll("MIJI", "miJi").replaceAll("FENLEIMINGCHENG", "fenLeiMingCheng").replaceAll("GUANLIANBIAOSHI", "guanLianBiaoShi")
        .replaceAll("BIANXIERENMINGCHENG", "bianXieRenMingCheng").replaceAll("BIANXIERIQI", "bianXieRiQi").replaceAll("GUIDANGNIANDU", "guiDangNianDu")
        .replaceAll("BAOGUANQIXIAN", "baoGuanQiXian").replaceAll("FENSHU", "fenShu").replaceAll("YESHU", "yeShu").replaceAll("ZHUANGTAI", "zhuangTai")
        .replaceAll("yanGeZhuangTai", "yanGeZhuangTai").replaceAll("LISHUZUZHIMINGCHENG", "liShuZuZhiMingCheng").replaceAll("GUIDANGBUMENMINGCHENG", "guiDangBuMenMingCheng")
        .replaceAll("GUIDANGBUMENBIAOSHI", "guiDangBuMenBiaoShi").replaceAll("LIJUANDANWEIMINGCHENG", "liJuanDanWeiMingCheng").replaceAll("LIJUANDANWEIBIAOSHI", "liJuanDanWeiBiaoShi")
        .replaceAll("SHIJIANLEIXING", "shiJianLeiXing").replaceAll("liShuZuZhiBiaoShi", "liShuZuZhiBiaoShi").replaceAll("XUHAO", "xuHao");
      write(response, jsonString);
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return null;
  }
  
  @RequestMapping({"/toAdd.do"})
  public String addwenjian(HttpServletRequest request, HttpServletResponse respone, Model model) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String czlx = request.getParameter("czlx");
    String taa = getRequest().getParameter("taa");
    DQuanZongJuanXinXi DQuanZongJuanXinXi = new DQuanZongJuanXinXi();
    if (StringUtils.isBlank(hangBiaoShi)) {
      User user = getCurrentUser();
      String type = request.getParameter("type");
      String state = request.getParameter("state");
      if (user != null) {
        if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
          String cjz = user.getBuMenMingChengs();
          if (StringUtils.isNotBlank(cjz)) {
            String[] mcss = cjz.split(" ");
            String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
            DQuanZongJuanXinXi.setLiJuanDanWeiMingCheng(mcss[0]);
            DQuanZongJuanXinXi.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
          } 
          JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
          if (jg != null) {
            DQuanZongJuanXinXi.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
            DQuanZongJuanXinXi.setGuiDangBuMenMingCheng(jg.getMingCheng());
            DQuanZongJuanXinXi.setLiShuZuZhiMingCheng(jg.getMingCheng());
          } 
        } 
        DQuanZongJuanXinXi.setBianXieRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
        DQuanZongJuanXinXi.setBianXieRenMingCheng(user.getMingCheng());
        DQuanZongJuanXinXi.setQuanZongHao(user.getQuanZongHao());
        DQuanZongJuanXinXi.setYeShu(Integer.valueOf(1));
        DQuanZongJuanXinXi.setGuanLianBiaoShi(Integer.valueOf(0));
        DQuanZongJuanXinXi.setFenShu(Integer.valueOf(1));
        DQuanZongJuanXinXi.setGuiDangLeiXing(Integer.valueOf(2));
        DQuanZongJuanXinXi.setZhuangTai(Integer.valueOf(0));
      } 
      model.addAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
      model.addAttribute("type", type);
      model.addAttribute("state", state);
    } else {
      String keyWordResult = getRequest().getParameter("keyWordResult");
      DQuanZongJuanXinXi = (DQuanZongJuanXinXi)this.quanZongZhiNanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
      getRequest().setAttribute("keyWordResult", keyWordResult);
      int glbs = DQuanZongJuanXinXi.getGuanLianBiaoShi().intValue();
      if (glbs > 0) {
        DDangAnHe dah = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(glbs));
        getRequest().setAttribute("rongQiDangHao", dah.getXuHao());
      } 
    } 
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao("QZJ");
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("dangHaoFenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    getRequest().setAttribute("taa", taa);
    getRequest().setAttribute("table", this.table);
    getRequest().setAttribute("server", this.server);
    getRequest().setAttribute("czlx", czlx);
    getRequest().setAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
    return "quanzongweihu/quanzongzhinan/QuanZongZhiNan_edit";
  }
  
  @RequestMapping({"/copy.do"})
  public void copy(HttpServletRequest request, HttpServletResponse response) {
    DQuanZongJuanXinXi DQuanZongJuanXinXi = new DQuanZongJuanXinXi();
    User user = getCurrentUser();
    if (user != null) {
      String cjz = user.getBuMenMingChengs();
      if (StringUtils.isNotBlank(cjz)) {
        String[] mcss = cjz.split(" ");
        String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
        DQuanZongJuanXinXi.setLiJuanDanWeiMingCheng(mcss[0]);
        DQuanZongJuanXinXi.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
      } 
      if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
        JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
        if (jg != null) {
          DQuanZongJuanXinXi.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
          DQuanZongJuanXinXi.setGuiDangBuMenMingCheng(jg.getMingCheng());
          DQuanZongJuanXinXi.setLiShuZuZhiMingCheng(jg.getMingCheng());
        } 
      } 
      DQuanZongJuanXinXi.setBianXieRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
      DQuanZongJuanXinXi.setBianXieRenMingCheng(user.getMingCheng());
    } 
    String quanZongHao = request.getParameter("quanZongHao");
    if (StringUtils.isNotBlank(quanZongHao))
      DQuanZongJuanXinXi.setQuanZongHao(quanZongHao); 
    String Q = JsonWithJacksonUtils.getInstance().obj2Json(DQuanZongJuanXinXi);
    responseWriter(response, Q);
  }
  
  @RequestMapping({"/save.do"})
  @ResponseBody
  public void save(HttpServletRequest request, HttpServletResponse response, Model model) throws Exception {
    ResultMessage rm = new ResultMessage();
    String info = "";
    String rizhiInfo = "修改";
    String guanLianBiaoShi = request.getParameter("guanLianBiaoShi");
    Enumeration<?> rnames = getRequest().getParameterNames();
    JSONObject jsonObject = new JSONObject();
    for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
      String thisName = er.nextElement().toString();
      String thisValue = getRequest().getParameter(thisName);
      jsonObject.put(thisName, thisValue);
    } 
    DQuanZongJuanXinXi t = (DQuanZongJuanXinXi)JsonWithJacksonUtils.getInstance().json2Obj(jsonObject.toString(), DQuanZongJuanXinXi.class);
    Map<String, String> map = new HashMap<>();
    map.put("table", this.table);
    map.put("server", this.server);
    map.put("biaoTiString", t.getBiaoTi());
    map.put("guiDangNianDu", String.valueOf(t.getGuiDangNianDu()));
    map.put("zhuangTai_not", "3");
    if (t.getHangBiaoShi() != null && t.getHangBiaoShi().intValue() > 0)
      map.put("hangBiaoShi_not", String.valueOf(t.getHangBiaoShi())); 
    if (t != null) {
      if (t.getHangBiaoShi() == null || t.getHangBiaoShi().intValue() < 0) {
        t.setHangBiaoShi(Integer.valueOf(this.quanZongZhiNanService.getPk()));
        t.setFenShu(Integer.valueOf(1));
        t.setGuiDangLeiXing(Integer.valueOf(2));
        t.setYeShu(t.getYeShu());
        t.setZhuangTai(Integer.valueOf(0));
        rizhiInfo = "新增";
      } 
      try {
        if (Integer.valueOf(guanLianBiaoShi).intValue() > 0) {
          StringBuffer sql = new StringBuffer();
          DDangAnHe dangAnHe = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(guanLianBiaoShi));
          int fenShu = dangAnHe.getFenShu().intValue();
          if (fenShu == 0) {
            sql.append(" update D_DangAnHe set fenShu=1 where hangBiaoShi=" + guanLianBiaoShi);
            this.quanZongZhiNanService.update(sql.toString());
          } else if (Integer.valueOf(this.hangBiaoShi.intValue()).intValue() < 0) {
            fenShu = dangAnHe.getFenShu().intValue() + 1;
            sql.append(" update D_DangAnHe set fenShu='" + fenShu + "' where hangBiaoShi=" + guanLianBiaoShi);
            this.quanZongZhiNanService.update(sql.toString());
          } 
          rizhiInfo = "装盒";
        } 
        this.quanZongZhiNanService.saveOrUpdate(t);
        rm.setSuccess(true);
        rm.addResultMessage("hangBiaoShi", t.getHangBiaoShi());
        info = "保存成功！";
        this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_QuanZongJuanXinXi", t.getHangBiaoShi(), String.valueOf(t.getBiaoTi()) + "$." + t.getDangHao() + "$." + t.getMenLei(), rizhiInfo);
      } catch (Exception e) {
        e.printStackTrace();
        info = "保存失败！";
        rm.setSuccess(false);
      } 
      rm.setInfo(info);
      responseWriter(response, rm.toString());
    } else {
      rm.setSuccess(false);
      info = "全宗标名已存在";
    } 
    rm.setInfo(info);
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/toWps.do"})
  public String toWps(HttpServletRequest request) {
    String hangBiaoShi = request.getParameter("hangBiaoShi");
    request.setAttribute("hangBiaoShi", hangBiaoShi);
    return "quanzongweihu/quanzongzhinan/QuanZongZhiNanWps";
  }
  
  @RequestMapping({"/delete.do"})
  @ResponseBody
  public void remove(HttpServletRequest request, HttpServletResponse response) {
    ResultMessage rm = new ResultMessage();
    String id = request.getParameter("hangBiaoShi");
    String biaoTi = request.getParameter("biaoTi");
    String dangHao = request.getParameter("dangHao");
    String table = request.getParameter("table");
    String server = request.getParameter("server");
    if (StringUtils.isNotBlank(id)) {
      String info = "";
      try {
        DQuanZongJuanXinXi qzzn = (DQuanZongJuanXinXi)this.quanZongZhiNanService.getById(Integer.valueOf(Integer.parseInt(id)));
        this.commonService.deleteByUser(getCurrentUser(), server, table, id);
        rm.setSuccess(true);
        info = "删除成功！";
        rm.setSuccess(true);
        User user = getLoginUser(request);
        this.commonService.addDA_RiZhi(getCurrentUser(), server, "D_QuanZongJuanXinXi", Integer.valueOf(Integer.parseInt(id)), String.valueOf(biaoTi) + "$." + dangHao + "$." + qzzn.getMenLei(), "删除");
      } catch (Exception e) {
        rm.setSuccess(false);
        e.printStackTrace();
        rm.setSuccess(false);
        info = "删除失败！";
      } 
      rm.setInfo(info);
      rm.addResultMessage("data", "[{}]");
      responseWriter(response, rm.toString());
    } 
    rm.setSuccess(false);
    rm.setInfo("删除失败，选择的记录无效！");
    responseWriter(response, rm.toString());
  }
  
  @RequestMapping({"/check.do"})
  public String check(HttpServletRequest request, HttpServletResponse respone, Model model) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String czlx = request.getParameter("czlx");
    DQuanZongJuanXinXi DQuanZongJuanXinXi = new DQuanZongJuanXinXi();
    String keyWordResult = getRequest().getParameter("keyWordResult");
    DQuanZongJuanXinXi = (DQuanZongJuanXinXi)this.quanZongZhiNanService.getById(Integer.valueOf(Integer.parseInt(hangBiaoShi)));
    getRequest().setAttribute("keyWordResult", keyWordResult);
    int glbs = DQuanZongJuanXinXi.getGuanLianBiaoShi().intValue();
    if (glbs > 0) {
      DDangAnHe dah = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(glbs));
      getRequest().setAttribute("rongQiDangHao", dah.getXuHao());
    } 
    this.commonService.addDA_RiZhi(getCurrentUser(), this.server, "D_QuanZongJuanXinXi", Integer.valueOf(Integer.parseInt(hangBiaoShi)), String.valueOf(DQuanZongJuanXinXi.getBiaoTi()) + "$." + DQuanZongJuanXinXi.getDangHao() + "$." + DQuanZongJuanXinXi.getMenLei(), "查看");
    getRequest().setAttribute("table", this.table);
    getRequest().setAttribute("server", this.server);
    getRequest().setAttribute("czlx", "check");
    getRequest().setAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao("QZJ");
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("dangHaoFenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    return "quanzongweihu/quanzongzhinan/CKQuanZongZhiNan_edit";
  }
  
  @RequestMapping({"/newQZJ.do"})
  public String newQZJ(HttpServletRequest request, HttpServletResponse respone, Model model) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String guanLianBiaoShi = getRequest().getParameter("guanLianBiaoShi");
    String taa = getRequest().getParameter("taa");
    DQuanZongJuanXinXi DQuanZongJuanXinXi = new DQuanZongJuanXinXi();
    DDangAnHe dangAnHe = (DDangAnHe)this.dDangAnHeService.getById(Integer.valueOf(Integer.parseInt(guanLianBiaoShi)));
    if (StringUtils.isBlank(hangBiaoShi)) {
      User user = getCurrentUser();
      String type = request.getParameter("type");
      String state = request.getParameter("state");
      if (user != null) {
        String cjz = user.getBuMenMingChengs();
        if (StringUtils.isNotBlank(cjz)) {
          String[] mcss = cjz.split(" ");
          String[] liJianDanWeiBiaoShi = user.getBuMenBiaoShi().split(" ");
          DQuanZongJuanXinXi.setLiJuanDanWeiMingCheng(mcss[0]);
          DQuanZongJuanXinXi.setLiJuanDanWeiBiaoShi(Integer.valueOf(Integer.parseInt(liJianDanWeiBiaoShi[0])));
        } 
        if ("1".equals(AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING"))) {
          JiGouFenLei jg = this.commonService.getJiGouRenYuan(Integer.parseInt(user.findCurrentBuMenBiaoShi()));
          if (jg != null) {
            DQuanZongJuanXinXi.setGuiDangBuMenBiaoShi(jg.getBiaoShi());
            DQuanZongJuanXinXi.setGuiDangBuMenMingCheng(jg.getMingCheng());
            DQuanZongJuanXinXi.setLiShuZuZhiMingCheng(jg.getMingCheng());
          } 
        } 
        DQuanZongJuanXinXi.setBianXieRenBiaoShi(Integer.valueOf(user.getBiaoShi().intValue()));
        DQuanZongJuanXinXi.setBianXieRenMingCheng(user.getMingCheng());
        DQuanZongJuanXinXi.setQuanZongHao(user.getQuanZongHao());
        DQuanZongJuanXinXi.setYeShu(Integer.valueOf(1));
        DQuanZongJuanXinXi.setGuiDangNianDu(dangAnHe.getGuiDangNianDu());
        DQuanZongJuanXinXi.setGuanLianBiaoShi(dangAnHe.getHangBiaoShi());
      } 
      model.addAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
      model.addAttribute("type", type);
      model.addAttribute("state", state);
    } 
    int glbs = DQuanZongJuanXinXi.getGuanLianBiaoShi().intValue();
    if (glbs > 0)
      getRequest().setAttribute("rongQiDangHao", dangAnHe.getXuHao()); 
    GDangAnMenLei dam = this.gDangAnMenLeiService.getByFenLeiHao("QZJ");
    if (dam != null) {
      getRequest().setAttribute("dangHaoGuiZe", dam.getDangHaoGuiZe());
      getRequest().setAttribute("dangHaoFenGeFu", dam.getFenGeFu());
      getRequest().setAttribute("xuHaoGuiZe", dam.getZiFuDaiMa());
      getRequest().setAttribute("qiDongDangHao", dam.getQiDongDangHao());
    } 
    getRequest().setAttribute("taa", taa);
    getRequest().setAttribute("table", this.table);
    getRequest().setAttribute("server", this.server);
    getRequest().setAttribute("DQuanZongJuanXinXi", DQuanZongJuanXinXi);
    return "quanzongweihu/quanzongzhinan/QuanZongZhiNan_edit";
  }
  
  @RequestMapping({"/quanZongGuiDang.do"})
  @ResponseBody
  public void quanZongGuiDang(HttpServletRequest request, HttpServletResponse response) {
    String hangBiaoShi = getRequest().getParameter("hangBiaoShis");
    String value = getRequest().getParameter("value");
    String info = "";
    if (StringUtils.isNotBlank(hangBiaoShi) && StringUtils.isNotBlank(value)) {
      StringBuffer sql = new StringBuffer();
      if ("1".equals(value)) {
        sql.append("update D_QuanZongJuanXinXi set zhuangTai=1 where hangBiaoShi in (" + hangBiaoShi + ")");
      } else if ("2".equals(value)) {
        sql.append("update D_QuanZongJuanXinXi set zhuangTai=0 where hangBiaoShi in (" + hangBiaoShi + ")");
      } 
      if (StringUtils.isNotBlank(sql.toString())) {
        this.quanZongZhiNanService.update(sql.toString());
        info = "500";
      } 
    } 
    responseWriter(response, info);
  }
  
  @RequestMapping({"/validationJH.do"})
  public void validationJH(HttpServletResponse response) {
    String xuHao = getRequest().getParameter("xuHao");
    String hangBiaoShi = getRequest().getParameter("hangBiaoShi");
    String msg = "500";
    if (StringUtils.isNotBlank(xuHao)) {
      StringBuffer sqlWHERE = new StringBuffer("select hangBiaoShi from D_QuanZongJuanXinXi where xuHao = " + xuHao);
      sqlWHERE.append(" and zhuangTai not in(3,4)");
      if (StringUtils.isNotBlank(hangBiaoShi))
        sqlWHERE.append(" and hangBiaoShi != " + hangBiaoShi); 
      boolean pagevo = this.commonService.checkInfo(this.server, sqlWHERE.toString());
      if (!pagevo)
        msg = "600"; 
    } 
    responseWriter(response, msg);
  }
  
  @RequestMapping({"/ceratXuHao.do"})
  @ResponseBody
  public void ceratXuHao(HttpServletRequest request, HttpServletResponse response) {
    Integer anJuanHaoStr = Integer.valueOf(1);
    String quanZongHao = request.getParameter("quanZongHao");
    if (StringUtils.isNotBlank(quanZongHao)) {
      Map<String, String> map = CommStatic.getRequestParams(request);
      map.put("table", "D_QuanZongJuanXinXi");
      map.put("hao", "xuHao");
      anJuanHaoStr = Integer.valueOf(this.commonService.shengChengHao(map));
    } 
    responseWriter(response, anJuanHaoStr.toString());
  }
  
  @RequestMapping({"/gdwjmlPrint.do"})
  public String gdwjmlPrint(HttpServletRequest request, HttpServletResponse response, String baoGuanQiXian) throws Exception {
    try {
      Enumeration<?> rnames = getRequest().getParameterNames();
      JSONObject jsonObject = new JSONObject();
      for (Enumeration<?> er = rnames; er.hasMoreElements(); ) {
        String thisName = er.nextElement().toString();
        String thisValue = getRequest().getParameter(thisName);
        if ((("querystr".equals(thisName) ? 0 : 1) & ("zuHeType".equals(thisName) ? 0 : 1)) != 0)
          jsonObject.put(thisName, thisValue); 
      } 
      User user = getCurrentUser();
      StringBuffer sqlWhere = new StringBuffer();
      Iterator<String> iterator = jsonObject.keys();
      StringBuffer sqlSearch = new StringBuffer();
      sqlSearch.append(" 1=1 ");
      String dWQuanZongHao = AppConfiguration.getConfigValue("CPCNS_QUANZHONGHAO");
      dWQuanZongHao = dWQuanZongHao.toUpperCase();
      String ml = getRequest().getParameter("menLei");
      String xt = getRequest().getParameter("xt");
      String zifudaimas = getRequest().getParameter("zifudaimas");
      String fenLeiMingCheng = getRequest().getParameter("fenLeiMingCheng");
      String hangBiaoShi_in = getRequest().getParameter("hangBiaoShi_in");
      String querySt = request.getParameter("querystr");
      String zuHeType = request.getParameter("zuHeType");
      if (StringUtils.isNotBlank(hangBiaoShi_in)) {
        sqlWhere.append(" and hangBiaoShi in (").append(hangBiaoShi_in).append(")");
      } else {
        if (StringUtils.isNotBlank(querySt))
          sqlWhere.append(" ").append(CommStatic.zhuHeQueryJieXi_new(querySt, zuHeType, getDataType())); 
        while (iterator.hasNext()) {
          String key = iterator.next();
          String value = jsonObject.getString(key);
          if (value != null && !value.trim().equals("") && !key.equals("page") && !key.equals("rows") && !key.equals("xt") && !key.equals("zifudaimas")) {
            if (key.contains("begin")) {
              key = key.substring(0, key.indexOf("begin"));
              sqlWhere.append(" and ").append(
                  String.valueOf(key) + " >= " + "to_date('" + value + "','yyyy-mm-dd')");
              continue;
            } 
            if (key.contains("end")) {
              key = key.substring(0, key.indexOf("end"));
              sqlWhere.append(" and ").append(
                  String.valueOf(key) + " <= " + "to_date('" + value + "','yyyy-mm-dd')");
              continue;
            } 
            if (!"server".equals(key) && !"table".equals(key) && !"orderBy".equals(key) && !"order".equals(key) && !"sort".equals(key) && !"_".equals(key) && !"fenLeiMingCheng".equals(key)) {
              if (!key.contains("like")) {
                if (key.equals("gdzt")) {
                  if (value.equals("1")) {
                    sqlWhere.append(" and zhuangTai =").append(value);
                    continue;
                  } 
                  if (value.equals("2")) {
                    sqlWhere.append(" and zhuangTai in(").append("0,2)");
                    continue;
                  } 
                  if (value.equals("5"))
                    sqlWhere.append(" and zhuangTai =").append(value); 
                  continue;
                } 
                if (key.contains("_in")) {
                  key = key.substring(0, key.indexOf("_in"));
                  sqlWhere.append(" and ").append(key).append(" in (").append(value).append(")");
                  continue;
                } 
                sqlWhere.append(" and ").append(String.valueOf(key) + " = '" + value + "'");
                continue;
              } 
              key = key.substring(0, key.indexOf("like"));
              sqlWhere.append(" and ").append(String.valueOf(key) + " like " + "'%" + value + "%'");
            } 
          } 
        } 
      } 
      StringBuilder sql = new StringBuilder("select hangBiaoShi,biaoTi,baoGuanQiXian ,guiDangNianDu,muLuHao wenHao,dangHao,zeRenZhe,to_char(bianXieRiQi,'yyyy/mm/dd') cwrq,yeShu,xuhao,beiZhu from D_QUANZONGJUANXINXI  where zhuangTai ");
      if ("MYSQL".equals(this.commonService.getDataType()))
        sql = new StringBuilder("select HANGBIAOShI,BIAOTI,BAOGUANQIXIAN ,GUIDANGNIANDU,MULUHAO WENHAO,DANGHAO,ZERENZHE,date_format(BIANXIERIQI,'%Y-%m-%d') CWRQ,YESHU,XUHAO,BEIZHU from D_QUANZONGJUANXINXI  where zhuangTai "); 
      String xtlx = AppConfiguration.getConfigValue("CPCNS_XITONGLEIXING");
      sql.append(" in (0,1,2,5,6) ");
      if (sqlWhere.length() > 0)
        sql.append(sqlWhere.toString()); 
      sql.append(" order by  xuHao asc ");
      String guiDangNianDu = request.getParameter("guiDangNianDu");
      String quanZongHao = request.getParameter("quanZongHao");
      Map<String, String> tjmap = new HashMap<>();
      tjmap.put("guiDangNianDu", guiDangNianDu);
      if (StringUtils.isNotBlank(quanZongHao))
        tjmap.put("quanZongHao", quanZongHao); 
      List<Map<String, Object>> list = this.quanZongZhiNanService.getListSQL(sql.toString());
      List<XiTongDaiMa> xtdms = this.commonService.xiTongDaiMaList("7087");
      List<XiTongDaiMa> xxgkbss = this.commonService.xiTongDaiMaList("22595");
      List<XiTongDaiMa> bgqx = this.commonService.xiTongDaiMaList("11720");
      for (int i = 0; i < list.size(); i++) {
        Map<String, Object> map = list.get(i);
        baoGuanQiXian = map.get("BAOGUANQIXIAN").toString();
        if (StringUtils.isNotBlank(baoGuanQiXian) && !"null".equals(baoGuanQiXian))
          for (int j = 0; j < bgqx.size(); j++) {
            XiTongDaiMa xtdm2 = bgqx.get(j);
            String dm = xtdm2.getZiFuDaiMa();
            String mc = xtdm2.getMingCheng();
            if (baoGuanQiXian.equals(dm)) {
              map.put("BAOGUANQIXIANMC", mc);
              map.put("BAOGUANQIXIAN", mc);
            } 
          }  
      } 
      Map<Object, Object> mmp = new HashMap<>();
      mmp.put("", "");
      if (StringUtils.isNotBlank(dWQuanZongHao))
        if (list.size() % 10 != 0) {
          int y = list.size() % 10;
          System.out.println(y);
          if (y != 0) {
            int x = 10 - y;
            for (int a = 1; a <= x; a++)
              list.add(mmp); 
          } 
        }  
      HashMap<String, Object> params = new HashMap<>();
      String model = "QZJguidangweijianmulu_jw.jasper";
      if (StringUtils.isNotBlank(dWQuanZongHao))
        if (dWQuanZongHao.equals("DA145")) {
          model = "QZJguidangweijianmulu_jw.jasper";
        } else {
          model = "QZJguidangweijianmulu_" + dWQuanZongHao + ".jasper";
        }  
      if (StringUtils.isNotBlank(zifudaimas))
        model = zifudaimas; 
      params.put("fenLeiMingCheng", fenLeiMingCheng);
      String printService = AppConfiguration.getConfigValue("printServlet");
      PrintUtil.printService(request, user, printService, model, list, params, "gdwjml");
    } catch (Exception e) {
      e.printStackTrace();
    } 
    return "print/check";
  }
  
  @RequestMapping({"/getDaiZi.do"})
  @ResponseBody
  public void getDaiZi(HttpServletRequest request, HttpServletResponse response) {
    List<XiTongDaiMa> list = this.commonService.xiTongDaiMaList("22807");
    String daiZi = "";
    if (list != null && list.size() > 0)
      for (int i = 0; i < list.size(); i++) {
        XiTongDaiMa x = list.get(i);
        if (daiZi.equals("")) {
          daiZi = x.getMingCheng();
        } else {
          daiZi = String.valueOf(daiZi) + "," + x.getMingCheng();
        } 
      }  
    responseWriter(response, daiZi);
  }
}
